r1385 - in dvb/linuxtv-dvb-apps/trunk/debian: . patches

Darren Salt dsalt-guest at costa.debian.org
Sat Oct 22 19:13:31 UTC 2005


Author: dsalt-guest
Date: 2005-10-22 19:13:30 +0000 (Sat, 22 Oct 2005)
New Revision: 1385

Added:
   dvb/linuxtv-dvb-apps/trunk/debian/patches/06_freeview_channel_numbers.dpatch
   dvb/linuxtv-dvb-apps/trunk/debian/patches/07_vdr_output.dpatch
   dvb/linuxtv-dvb-apps/trunk/debian/patches/08_debug_minor_fixes.dpatch
Modified:
   dvb/linuxtv-dvb-apps/trunk/debian/changelog
   dvb/linuxtv-dvb-apps/trunk/debian/patches/00list
   dvb/linuxtv-dvb-apps/trunk/debian/patches/03_budget_ci_loadkeys.dpatch
Log:
Patch work intended for 1.1.0-8.

03 (modified):
  - remove *.orig (allows clean target to work properly).

06 (new):
 - fix Freeview channel number extraction (was losing the top two bits).

07 (new):
 - correct format - ouput "channel;provider", not "provider - channel";
 - output audio language information (assume that the AC3 PID is in the
   same language as the first 'plain' audio channel);
 - ensure that the transport stream ID is set for every service (else
   there may be an apparent lack of EPG data for some channels).

08 (new):
  - remove duplicate "0x".


Modified: dvb/linuxtv-dvb-apps/trunk/debian/changelog
===================================================================
--- dvb/linuxtv-dvb-apps/trunk/debian/changelog	2005-10-15 21:42:11 UTC (rev 1384)
+++ dvb/linuxtv-dvb-apps/trunk/debian/changelog	2005-10-22 19:13:30 UTC (rev 1385)
@@ -1,3 +1,21 @@
+linuxtv-dvb-apps (1.1.0-8) unstable; urgency=low
+
+  * UNRELEASED
+  * Darren Salt <linux at youmustbejoking.demon.co.uk>:
+    - New patch 06_freeview_channel_numbers:
+      + fix Freeview channel number extraction (was losing the top two bits).
+    - New patch 07_vdr_output:
+      + correct format - output "channel;provider", not "provider - channel";
+      + output audio language information (assume that the AC3 PID is in the
+        same language as the first 'plain' audio channel);
+      + ensure that the transport stream ID is set for every service (else
+        there may be an apparent lack of EPG data for some channels).
+    - New patch 08_debug_minor_fixes:
+      + remove duplicate "0x".
+    - Modified patch 03_budget_ci_loadkeys, removing *.orig.
+
+ -- Debian VDR Team <pkg-vdr-dvb-devel at lists.alioth.debian.org>  Sat, 22 Oct 2005 20:07:59 +0100
+
 linuxtv-dvb-apps (1.1.0-7) unstable; urgency=low
 
   * Thomas Schmidt <tschmidt at debian.org>

Modified: dvb/linuxtv-dvb-apps/trunk/debian/patches/00list
===================================================================
--- dvb/linuxtv-dvb-apps/trunk/debian/patches/00list	2005-10-15 21:42:11 UTC (rev 1384)
+++ dvb/linuxtv-dvb-apps/trunk/debian/patches/00list	2005-10-22 19:13:30 UTC (rev 1385)
@@ -3,3 +3,6 @@
 03_budget_ci_loadkeys
 04_scanfiles_from_cvs
 05_scanfile_de-Hamburg
+06_freeview_channel_numbers
+07_vdr_output
+08_debug_minor_fixes

Modified: dvb/linuxtv-dvb-apps/trunk/debian/patches/03_budget_ci_loadkeys.dpatch
===================================================================
--- dvb/linuxtv-dvb-apps/trunk/debian/patches/03_budget_ci_loadkeys.dpatch	2005-10-15 21:42:11 UTC (rev 1384)
+++ dvb/linuxtv-dvb-apps/trunk/debian/patches/03_budget_ci_loadkeys.dpatch	2005-10-22 19:13:30 UTC (rev 1385)
@@ -104,196 +104,6 @@
  
  	return 0;
  }
-diff -urNad linuxtv-dvb-apps/util/av7110_loadkeys/av7110_loadkeys.c.orig /tmp/dpep.HGK2iu/linuxtv-dvb-apps/util/av7110_loadkeys/av7110_loadkeys.c.orig
---- linuxtv-dvb-apps/util/av7110_loadkeys/av7110_loadkeys.c.orig	1970-01-01 01:00:00.000000000 +0100
-+++ /tmp/dpep.HGK2iu/linuxtv-dvb-apps/util/av7110_loadkeys/av7110_loadkeys.c.orig	2004-05-14 12:32:12.000000000 +0200
-@@ -0,0 +1,186 @@
-+#include <asm/types.h>
-+#include <stdlib.h>
-+#include <unistd.h>
-+#include <sys/mman.h>
-+#include <sys/types.h>
-+#include <sys/stat.h>
-+#include <fcntl.h>
-+#include <ctype.h>
-+#include <string.h>
-+
-+#include "input_keynames.h"
-+
-+
-+static
-+void print_error (const char *action, const char *file)
-+__attribute__ ((noreturn));
-+
-+
-+static
-+void print_error (const char *action, const char *file)
-+{
-+	static const char msg [] = "\nERROR: could not ";
-+
-+	write (0, msg, strlen(msg));
-+	write (0, action, strlen(action));
-+	write (0, " '", 2);
-+	write (0, file, strlen(file));
-+	write (0, "'\n\n", 3);
-+	exit (-1);
-+}
-+
-+
-+static
-+int parse_keyname (char *pos, char **nend, int limit)
-+{
-+	int cmp, index;
-+	int l = 1;
-+	int r = sizeof (key_name) / sizeof (key_name[0]);
-+
-+	if (limit < 5)
-+		return -1;
-+
-+	while ((*pos == ' ' || *pos == '\t') && limit > 0) {
-+		(*nend)++;
-+		pos++;
-+		limit--;
-+	}
-+
-+	if (pos [0] != 'K' || pos[1] != 'E' || pos[2] != 'Y' || pos[3] != '_')
-+		return -2;
-+
-+	(*nend) += 4;
-+	pos += 4;
-+	limit -= 4;
-+
-+	while (r >= l) {
-+		int len0, len1 = 0;
-+
-+		index = (l + r) / 2;
-+		
-+		len0 = strlen(key_name[index-1].name);
-+
-+		while (len1 < limit && isgraph(pos[len1]))
-+			len1++;
-+
-+		cmp = strncmp (key_name[index-1].name, pos,
-+			       strlen(key_name[index-1].name));
-+	
-+		if (len0 < len1 && cmp == 0)
-+			cmp = -1;
-+
-+		if (cmp == 0) {
-+			*nend = pos + strlen (key_name[index-1].name);
-+
-+			if (**nend != '\n' &&
-+			    **nend != '\t' &&
-+			    **nend != ' ' &&
-+			    *nend != pos)
-+				return -3;
-+
-+			return key_name[index-1].key;
-+		}
-+
-+		if (cmp < 0)
-+			l = index + 1;
-+		else
-+			r = index - 1;
-+
-+		if (r < l) {
-+			static const char msg [] = "\nunknown key '";
-+			write (0, msg, strlen(msg));
-+			write (0, pos-4, len1 + 4);
-+			write (0, "'\n", 2);
-+		}
-+	};
-+
-+	return -4;
-+}
-+
-+
-+
-+const char usage [] = "\n\tusage: av7110_loadkeys [-i|--invert] [-a|--address <num>] keymap_filename.(rc5|rcmm)\n\n";
-+
-+
-+struct ir_setup {
-+	__u32 ir_config;
-+	__u16 keytab [256];
-+} __attribute__ ((packed));
-+
-+
-+int main (int argc, char **argv)
-+{
-+	static struct ir_setup setup;
-+	int i, fd;
-+	size_t len;
-+	char *buf, *pos, *fname = NULL;
-+
-+	for (i=1; i<argc; i++) {
-+		if (!strcmp("-i", argv[i]) || !strcmp("--invert", argv[i]))
-+			setup.ir_config |= 0x8000;
-+		else if (!strcmp("-a", argv[i]) || !strcmp("--address", argv[i])) {
-+			if (++i < argc) {
-+				setup.ir_config |= (atoi(argv[i]) & 0xff) << 16;
-+				setup.ir_config |= 0x4000;
-+			}
-+		} else
-+			fname = argv[i];
-+	}
-+
-+	if (!fname) {
-+		write (0, usage, strlen(usage));
-+		exit (-1);
-+	}
-+
-+	if (strncmp(".rcmm", fname + strlen(fname) - 5, 5) == 0)
-+		setup.ir_config |= 0x0001;
-+	else if (strncmp(".rc5", fname + strlen(fname) - 4, 4) != 0) {
-+		const char msg [] = "\nERROR: "
-+			"input filename must have suffix .rc5 or .rcmm\n";
-+		write (0, msg, strlen(msg));
-+		exit (-1);
-+	}
-+
-+	if ((fd = open (fname, O_RDONLY)) < 0)
-+		print_error ("open", fname);
-+
-+	len = lseek (fd, 0, SEEK_END);
-+
-+	if (!(pos = buf = mmap (NULL, len, PROT_READ, MAP_PRIVATE, fd, 0)))
-+		print_error ("mmap", fname);
-+
-+	while (pos < buf + len) {
-+		int key, keycode;
-+		
-+		while (!isxdigit(*pos) && pos < buf + len)
-+			pos++;
-+
-+		if (pos == buf + len)
-+			break;
-+		
-+		key = strtol (pos, &pos, 0);
-+		keycode = parse_keyname (pos, &pos, buf + len - pos);
-+
-+		if (key < 0 || key > 0xff) {
-+			const char msg [] = 
-+				"\nERROR: key must be in range 0 ... 0xff!\n\n";
-+
-+			write (0, msg, strlen(msg));
-+			exit (-1);
-+		}
-+
-+		if (keycode < 0)
-+			print_error ("parse", fname);
-+
-+		setup.keytab[key] = keycode;
-+	}
-+	
-+	munmap (buf, len);
-+	close (fd);
-+
-+	write (1, &setup, 4 + 256 * sizeof(__u16));
-+
-+	return 0;
-+}
-+
-+
 diff -urNad linuxtv-dvb-apps/util/av7110_loadkeys/Makefile /tmp/dpep.HGK2iu/linuxtv-dvb-apps/util/av7110_loadkeys/Makefile
 --- linuxtv-dvb-apps/util/av7110_loadkeys/Makefile	2004-05-14 12:32:12.000000000 +0200
 +++ /tmp/dpep.HGK2iu/linuxtv-dvb-apps/util/av7110_loadkeys/Makefile	2004-10-16 09:59:27.000000000 +0200
@@ -331,55 +141,3 @@
 +	$(RM) core* *.o input_keynames.h av7110_loadkeys budget_ci_loadkeys \
 +		 budget_ci_loadkeys.c evtest
  
-diff -urNad linuxtv-dvb-apps/util/av7110_loadkeys/Makefile.orig /tmp/dpep.HGK2iu/linuxtv-dvb-apps/util/av7110_loadkeys/Makefile.orig
---- linuxtv-dvb-apps/util/av7110_loadkeys/Makefile.orig	1970-01-01 01:00:00.000000000 +0100
-+++ /tmp/dpep.HGK2iu/linuxtv-dvb-apps/util/av7110_loadkeys/Makefile.orig	2004-05-14 12:32:12.000000000 +0200
-@@ -0,0 +1,48 @@
-+CC = gcc
-+CFLAGS = -g -Wall -O2
-+
-+all: av7110_loadkeys evtest
-+
-+av7110_loadkeys: av7110_loadkeys.o
-+
-+evtest: evtest.o
-+
-+av7110_loadkeys.o: av7110_loadkeys.c input_keynames.h
-+
-+evtest.o: evtest.c input_keynames.h
-+
-+
-+input_keynames.h: /usr/include/linux/input.h input_fake.h
-+	@echo 'generate $@...'
-+	@echo '#ifndef __INPUT_KEYNAMES_H__' > $@
-+	@echo '#define __INPUT_KEYNAMES_H__' >> $@
-+	@echo '' >> $@
-+	@echo '#include <linux/input.h>' >> $@
-+	@echo '' >> $@
-+	@echo '#if !defined(KEY_OK)' >> $@
-+	@echo '#include "input_fake.h"' >> $@
-+	@echo '#endif' >> $@
-+	@echo '' >> $@
-+	@echo '' >> $@
-+	@echo 'struct input_key_name {' >> $@
-+	@echo '        const char *name;' >> $@
-+	@echo '        int         key;' >> $@
-+	@echo '};' >> $@
-+	@echo '' >> $@
-+	@echo '' >> $@
-+	@echo 'static struct input_key_name key_name [] = {' >> $@
-+	@for x in `cat /usr/include/linux/input.h input_fake.h | \
-+	          grep KEY_ | grep "#define" | grep -v KEY_MAX | \
-+		  cut -f 1 | cut -f 2 -d ' ' | sort | uniq` ; do \
-+		echo "        { \"`echo $$x | cut -b 5-`\", $$x }," >> $@ \
-+		; \
-+	done
-+	@echo '};' >> $@
-+	@echo '' >> $@
-+	@echo '#endif  /* __INPUT_KEYNAMES_H */' >> $@
-+	@echo '' >> $@
-+
-+
-+clean:
-+	$(RM) core* *.o input_keynames.h av7110_loadkeys evtest
-+

Added: dvb/linuxtv-dvb-apps/trunk/debian/patches/06_freeview_channel_numbers.dpatch
===================================================================
--- dvb/linuxtv-dvb-apps/trunk/debian/patches/06_freeview_channel_numbers.dpatch	2005-10-15 21:42:11 UTC (rev 1384)
+++ dvb/linuxtv-dvb-apps/trunk/debian/patches/06_freeview_channel_numbers.dpatch	2005-10-22 19:13:30 UTC (rev 1385)
@@ -0,0 +1,56 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 06_vdr.dpatch by  <ds at flibble.youmustbejoking.demon.co.uk>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: No description.
+
+ at DPATCH@
+diff -urNad linuxtv-dvb-apps-1.1.0~/util/lib/lnb.d linuxtv-dvb-apps-1.1.0/util/lib/lnb.d
+--- linuxtv-dvb-apps-1.1.0~/util/lib/lnb.d	1970-01-01 01:00:00.000000000 +0100
++++ linuxtv-dvb-apps-1.1.0/util/lib/lnb.d	2005-10-22 16:51:09.232549721 +0100
+@@ -0,0 +1,12 @@
++../lib/lnb.o: ../lib/lnb.c /usr/include/stdlib.h /usr/include/features.h \
++  /usr/include/sys/cdefs.h /usr/include/gnu/stubs.h \
++  /usr/lib/gcc/i486-linux-gnu/4.0.2/include/stddef.h \
++  /usr/include/sys/types.h /usr/include/bits/types.h \
++  /usr/include/bits/wordsize.h /usr/include/bits/typesizes.h \
++  /usr/include/time.h /usr/include/endian.h /usr/include/bits/endian.h \
++  /usr/include/sys/select.h /usr/include/bits/select.h \
++  /usr/include/bits/sigset.h /usr/include/bits/time.h \
++  /usr/include/sys/sysmacros.h /usr/include/bits/pthreadtypes.h \
++  /usr/include/bits/sched.h /usr/include/alloca.h /usr/include/string.h \
++  /usr/include/bits/string.h /usr/include/bits/string2.h \
++  /usr/include/ctype.h ../lib/lnb.h
+diff -urNad linuxtv-dvb-apps-1.1.0~/util/lib/lnb.o linuxtv-dvb-apps-1.1.0/util/lib/lnb.o
+--- linuxtv-dvb-apps-1.1.0~/util/lib/lnb.o	1970-01-01 01:00:00.000000000 +0100
++++ linuxtv-dvb-apps-1.1.0/util/lib/lnb.o	2005-10-22 16:51:09.240549163 +0100
+@@ -0,0 +1,16 @@
++ELF                      
      4     (               U1À‰å‹Uƒúw‰ÐÁà„    ÉЍt& U‰åWV1öSƒì,‹E‹UÇ     Ç@    ‰×Ç@    Ç@    Ç@    ¶„Û…  èüÿÿÿ‰Eà‹ ·0öÄt=1ö»    ¶    ‰|$‹‰$èüÿÿÿ…À„
++  FƒÃƒþuá¸ÿÿÿÿƒÄ,[^_ÉÍt& „ÛtëöÄtæuðÇD$    ÇD$    ‰<$‰t$èüÿÿÿ‹U…À‰Bt½‹Eð¶„Òt}‹Mà‹‰Áë	¶QA„Òtk¾Â·CöÄ uë€ú,tæ„ÒtVöÄt‡ÇD$    ÇD$    ‰t$‰$èüÿÿÿ‹U‰B‹Eð¶„Òt%‹Mà‹‰Á¾Â·CöÄ u	€ú,…„   ¶QA„Òu⸠  ‰öé/ÿÿÿèüÿÿÿ‹}‹¾Ã4 öD2 „ÏþÿÿG¶„Ûuç1öéÀþÿÿ‰ð‹MÁà°‹‚    ‰‹‚   ‰A‹‚   ‰A‹‚   ‰A‹‚   ‰AƒÄ,¸   [^_ÉÄÒtöÄ„®þÿÿÇD$    ÇD$    ÇD$    ‰$èüÿÿÿ‹U‰B¸   éƒþÿÿ                                       &  h)  ´-  
++      ò+             „   '             t   &              d             '   0   A       U   [   n       ‚   •       ª   à   Ö       ë       ,       %  $ >  $ >   I  :;  
 :;I8
++  .?:;'I@
++   :;I  	.?:;'I   
++ :;I  & I   :;I
++  
 :;I
++  4 :;I  1   1  1  I  ! I/  4 :;I
++   Ï           !      O    w   j   int W     v  ®   9   5  +       j   x   J  Ò   ÷   À   r   # ã   Ò   #ï   H   #E   H   #  H   # r     Ú   1         U‘  0,           	A  ‰  RH   
++è   PA  
++N   PÒ   
++Å   P,    G  x     ?  >,       !  Ustr =r   u
l  =  ui ?,      cp @r   =   np @r   ’   Í  	  ¹   Ø   4  (     î  	    4  4  (     	  ñ    4  (        r   k    `         =  r   k       -     ^  r   k    Ì   N  „     r   k    *  o  t      r   k          d   Á     k    q  #±           B   û
++    ../lib /usr/include  lnb.c   stdlib.h   lnb.h         0*+:W¸	q[z+K;7Ç)I«ãTVj·„þ}Ó:*:-:*IúUˆ~©d:,`·ªØ7d9UzUIò~á UNIVERSAL DBS STANDARD ENHANCED C-BAND Big Dish 3700 to 4200 MHz Single LO, 5150 Mhz Astra 10700 to 11700 MHz Single LO, 9750 MHz 10945 to 11450 Mhz Single LO, 10000 Mhz Expressvu, North America 12200 to 12700 MHz Single LO, 11250 MHz Europe   10800 to 11800 MHz and 11600 to 12700 Mhz   Dual LO, loband 9750, hiband 10600 MHz     ÿÿÿÿ |ˆ                A…D
             A…B
B†‡Fƒ    
    ‘
       R        u   ©    V   á   V        @   ª    W¬   å    Wå   õ    Pþ      P=  N   Pi  n   Pä  !   W        Ÿ   ¬    ‘pâ   u   ‘pä  !   ‘p        *        Ó  Ø   lnb_enum L  lnb_decode                      !          long long unsigned int dbs_desc cband_desc long long int signed char high_val __endptr long int univ_desc unsigned int /tmp/dpep-work.LeO0EY/linuxtv-dvb-apps-1.1.0/util/scan long unsigned int name __base standard_desc lnb_enum desc __nptr low_val lnb_types_st unsigned char ../lib/lnb.c switch_val enhan_desc short int lnb_decode char GNU C 4.0.2 (Debian 4.0.2-2) lnbp lnbs short unsigned int strtoul curno  GCC: (GNU) 4.0.2 (Debian 4.0.2-2)  .symtab .strtab .shstrtab .rel.text .rel.data .bss .debug_abbrev .rel.debug_info .rel.debug_line .rodata.str1.1 .rodata.str1.4 .rel.debug_frame .debug_loc .rel.debug_pubnames .rel.debug_aranges .debug_str .comment .note.GNU-stack                                                         @   !                    	           p  h               )             €  °                   %   	           Ø  À               /             0                     4              0                   F              ?  Ó                 B   	           ˜  Ð              V                Æ                  R   	           h        	         b      2       Ø  ò                 q      2       Ì  S                 „               	  L                  €   	           p         
         ‘              l	  ¾                                 *
++  .                  œ   	                            ´              X
++                     °   	           ˜                 Ã      0       x
++  —                Î                #                  ×              2                                   2  ç                                ,  À              	              ì  ƒ                                              ñÿ                                                                                   	                      d                               „        -   t        8   d                                   
                                                                                     C            L           W              e              p               lnb.c lnbs univ_desc dbs_desc standard_desc enhan_desc cband_desc lnb_enum lnb_decode __ctype_b_loc strcasecmp __strtoul_internal       a     v     Š     Ô     0    v    ­    µ    ¾    Ç    Ð    
                         (     ,     <     @     P     T     d     h     l     t     x     |     „     ˆ          ”     ˜           ¤     ¨                                   !     &     4     ;     B     I     P     W     ^     e     l     y     „     Œ     š     ¨     ¶     Ä     Þ     é     í     ô     þ             )    5    R    ]    a    v    Œ    š    ¨    µ    ¹    Ö    Ú    ó    ÷        )    >    J    _    k    €    Œ    ¡    ­        Î    O               0     4                    
+\ No newline at end of file
+diff -urNad linuxtv-dvb-apps-1.1.0~/util/scan/scan.c linuxtv-dvb-apps-1.1.0/util/scan/scan.c
+--- linuxtv-dvb-apps-1.1.0~/util/scan/scan.c	2004-04-22 12:09:09.000000000 +0100
++++ linuxtv-dvb-apps-1.1.0/util/scan/scan.c	2005-10-22 16:51:01.161112392 +0100
+@@ -323,7 +323,7 @@
+ 	buf += 2;
+ 	for (i = 0; i < n; i++) {
+ 		service_id = (buf[0]<<8)|(buf[1]&0xff);
+-		channel_num = (buf[2]&0x03<<8)|(buf[3]&0xff);
++		channel_num = (buf[2]&0x03)<<8|(buf[3]&0xff);
+ 		debug("Service ID 0x%x has channel number %d ", service_id, channel_num);
+ 		list_for_each(p1, &scanned_transponders) {
+ 			t = list_entry(p1, struct transponder, list);


Property changes on: dvb/linuxtv-dvb-apps/trunk/debian/patches/06_freeview_channel_numbers.dpatch
___________________________________________________________________
Name: svn:executable
   + *

Added: dvb/linuxtv-dvb-apps/trunk/debian/patches/07_vdr_output.dpatch
===================================================================
--- dvb/linuxtv-dvb-apps/trunk/debian/patches/07_vdr_output.dpatch	2005-10-15 21:42:11 UTC (rev 1384)
+++ dvb/linuxtv-dvb-apps/trunk/debian/patches/07_vdr_output.dpatch	2005-10-22 19:13:30 UTC (rev 1385)
@@ -0,0 +1,135 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 07_vdr_output.dpatch by Darren Salt <linux at youmustbejoking.demon.co.uk>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Fix a few problems in the VDR output.
+## DP: * Provider names formatting was wrong
+## DP: * Output audio language information
+## DP: * Ensure that the services' TS IDs are always correctly set
+
+ at DPATCH@
+diff -urNad linuxtv-dvb-apps-1.1.0~/util/scan/dump-vdr.c linuxtv-dvb-apps-1.1.0/util/scan/dump-vdr.c
+--- linuxtv-dvb-apps-1.1.0~/util/scan/dump-vdr.c	2005-10-22 19:51:02.000000000 +0100
++++ linuxtv-dvb-apps-1.1.0/util/scan/dump-vdr.c	2005-10-22 19:51:03.058914014 +0100
+@@ -115,9 +115,11 @@
+ 				 int video_pid,
+ 				 int pcr_pid,
+ 				 uint16_t *audio_pid,
++				 char audio_lang[][4],
+                                  int audio_num,
+ 				 int teletext_pid,
+ 				 int scrambled,
++				 int subtitling_pid,
+ 				 int ac3_pid,
+                                  int service_id,
+ 				 int network_id,
+@@ -133,26 +135,38 @@
+         int i;
+ 
+ 	if ((video_pid || audio_pid[0]) && ((ca_select > 0) || ((ca_select == 0) && (scrambled == 0)))) {
++		if (vdr_version <= 2) {
++			audio_lang = NULL;
++			network_id = 0;
++			transport_stream_id = 0;
++		}
+ 		if ((dump_channum == 1) && (channel_num > 0))
+ 			fprintf(f, ":@%i\n", channel_num);
+ 		if (dump_provider == 1)
+-			fprintf (f, "%s - ", provider_name);
+-		fprintf (f, "%s:", service_name);
++			fprintf (f, "%s;%s:", service_name, provider_name);
++		else
++			fprintf (f, "%s:", service_name);
+ 		vdr_dump_dvb_parameters (f, type, p, polarity, orbital_pos, we_flag);
+ 		if ((pcr_pid != video_pid) && (video_pid > 0))
+ 			fprintf (f, "%i+%i:", video_pid, pcr_pid);
+ 		else
+ 			fprintf (f, "%i:", video_pid);
+ 		fprintf (f, "%i", audio_pid[0]);
++		if (audio_lang && audio_lang[0][0])
++			fprintf (f, "=%s", audio_lang[0]);
+ 	        for (i = 1; i < audio_num; i++)
++	        {
+ 			fprintf (f, ",%i", audio_pid[i]);
++			if (audio_lang && audio_lang[i][0])
++				fprintf (f, "=%s", audio_lang[i]);
++		}
+ 		if (ac3_pid)
++		{
+ 			fprintf (f, ";%i", ac3_pid);
++			if (audio_lang && audio_lang[0][0])
++				fprintf (f, "=%s", audio_lang[0]);
++		}
+ 		if (scrambled == 1) scrambled = ca_select;
+-		if (vdr_version == 2) {
+-			network_id = 0;
+-			transport_stream_id = 0;
+-		} 
+ 		fprintf (f, ":%d:%d:%d:%d:%d:0", teletext_pid, scrambled,
+ 				service_id, network_id, transport_stream_id);
+ 		fprintf (f, "\n");
+diff -urNad linuxtv-dvb-apps-1.1.0~/util/scan/dump-vdr.h linuxtv-dvb-apps-1.1.0/util/scan/dump-vdr.h
+--- linuxtv-dvb-apps-1.1.0~/util/scan/dump-vdr.h	2005-10-22 19:51:02.000000000 +0100
++++ linuxtv-dvb-apps-1.1.0/util/scan/dump-vdr.h	2005-10-22 19:51:03.058914014 +0100
+@@ -19,9 +19,11 @@
+ 				 int video_pid,
+ 				 int pcr_pid,
+ 				 uint16_t *audio_pid,
++				 char audio_lang[][4],
+                                  int audio_num,
+ 				 int teletext_pid,
+ 				 int scrambled,
++				 int subtitling_pid,
+ 				 int ac3_pid,
+                                  int service_id,
+ 				 int network_id,
+diff -urNad linuxtv-dvb-apps-1.1.0~/util/scan/scan.c linuxtv-dvb-apps-1.1.0/util/scan/scan.c
+--- linuxtv-dvb-apps-1.1.0~/util/scan/scan.c	2005-10-22 19:51:02.000000000 +0100
++++ linuxtv-dvb-apps-1.1.0/util/scan/scan.c	2005-10-22 19:53:29.088734079 +0100
+@@ -237,11 +237,13 @@
+  * (the DVB standards say theay should be unique within one
+  * network, but in real life...)
+  */
+-static struct service *alloc_service(struct transponder *tp, int service_id)
++static struct service *alloc_service(struct transponder *tp, int service_id,
++				     int transport_stream_id)
+ {
+ 	struct service *s = calloc(1, sizeof(*s));
+ 	INIT_LIST_HEAD(&s->list);
+ 	s->service_id = service_id;
++	s->transport_stream_id = transport_stream_id;
+ 	list_add_tail(&s->list, &tp->services);
+ 	return s;
+ }
+@@ -684,7 +686,7 @@
+ 		/* SDT might have been parsed first... */
+ 		s = find_service(current_tp, service_id);
+ 		if (!s)
+-			s = alloc_service(current_tp, service_id);
++			s = alloc_service(current_tp, service_id, transport_stream_id);
+ 		s->pmt_pid = ((buf[2] & 0x1f) << 8) | buf[3];
+ 		if (!s->priv && s->pmt_pid) {
+ 			s->priv = malloc(sizeof(struct section_buf));
+@@ -872,7 +874,7 @@
+ 		s = find_service(current_tp, service_id);
+ 		if (!s)
+ 			/* maybe PAT has not yet been parsed... */
+-			s = alloc_service(current_tp, service_id);
++			s = alloc_service(current_tp, service_id, transport_stream_id);
+ 
+ 		s->running = (buf[3] >> 5) & 0x7;
+ 		s->scrambled = (buf[3] >> 4) & 1;
+@@ -1677,11 +1679,11 @@
+ 						    s->video_pid,
+ 						    s->pcr_pid,
+ 						    s->audio_pid,
+-						    //FIXME: s->audio_lang
++						    s->audio_lang,
+ 						    s->audio_num,
+ 						    s->teletext_pid,
+ 						    s->scrambled,
+-						    //FIXME: s->subtitling_pid
++						    s->subtitling_pid,
+ 						    s->ac3_pid,
+ 						    s->service_id,
+ 						    t->network_id,


Property changes on: dvb/linuxtv-dvb-apps/trunk/debian/patches/07_vdr_output.dpatch
___________________________________________________________________
Name: svn:executable
   + *

Added: dvb/linuxtv-dvb-apps/trunk/debian/patches/08_debug_minor_fixes.dpatch
===================================================================
--- dvb/linuxtv-dvb-apps/trunk/debian/patches/08_debug_minor_fixes.dpatch	2005-10-15 21:42:11 UTC (rev 1384)
+++ dvb/linuxtv-dvb-apps/trunk/debian/patches/08_debug_minor_fixes.dpatch	2005-10-22 19:13:30 UTC (rev 1385)
@@ -0,0 +1,37 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 08_debug_minor_fixes.dpatch by Darren Salt <linux at youmustbejoking.demon.co.uk>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Debug output included "0x0x" in a few places.
+
+ at DPATCH@
+diff -urNad linuxtv-dvb-apps-1.1.0~/util/scan/scan.c linuxtv-dvb-apps-1.1.0/util/scan/scan.c
+--- linuxtv-dvb-apps-1.1.0~/util/scan/scan.c	2004-04-22 12:09:09.000000000 +0100
++++ linuxtv-dvb-apps-1.1.0/util/scan/scan.c	2005-10-22 18:32:32.427298462 +0100
+@@ -381,7 +383,7 @@
+ 	t->param.inversion = spectral_inversion;
+ 
+ 	if (verbosity >= 5) {
+-		debug("0x%#04x/0x%#04x ", t->network_id, t->transport_stream_id);
++		debug("%#04x/%#04x ", t->network_id, t->transport_stream_id);
+ 		dump_dvb_parameters (stderr, t);
+ 		if (t->scan_done)
+ 			dprintf(5, " (done)");
+@@ -413,7 +415,7 @@
+ 	t->we_flag = buf[8] >> 7;
+ 
+ 	if (verbosity >= 5) {
+-		debug("0x%#04x/0x%#04x ", t->network_id, t->transport_stream_id);
++		debug("%#04x/%#04x ", t->network_id, t->transport_stream_id);
+ 		dump_dvb_parameters (stderr, t);
+ 		if (t->scan_done)
+ 			dprintf(5, " (done)");
+@@ -467,7 +469,7 @@
+ 	t->other_frequency_flag = (buf[8] & 0x01);
+ 
+ 	if (verbosity >= 5) {
+-		debug("0x%#04x/0x%#04x ", t->network_id, t->transport_stream_id);
++		debug("%#04x/%#04x ", t->network_id, t->transport_stream_id);
+ 		dump_dvb_parameters (stderr, t);
+ 		if (t->scan_done)
+ 			dprintf(5, " (done)");


Property changes on: dvb/linuxtv-dvb-apps/trunk/debian/patches/08_debug_minor_fixes.dpatch
___________________________________________________________________
Name: svn:executable
   + *




More information about the pkg-vdr-dvb-changes mailing list